AVERTISSEMENT:

Ce package ne fait pas partie du driver officiel ECI ADSL USB qui peut tre
trouv  l'adresse http://eciadsl.sf.net. L'quipe de dveloppement du driver
n'a pas  faire le support de son utilisation.
Cependant n'hsitez pas  m'envoyer les bugs, ainsi que vos questions (voir la
section CONTACT).


INSTALLATION:

Veuillez lire ce document en entier et installer les scripts dans
/usr/local/bin, ou l o vous le dsirez dans le $PATH (vous aurez alors 
diter certains fichiers pour reflter votre configuration).
Editez les fichiers .conf dont vous avez besoin, et regardez si il y a une
CONFIG_SECTION  transformer dans les scripts que vous aurez install.
Veuillez lire le paragraphe suivant pour savoir comment installer les fichiers
.conf.
Selon les raisons qui vous ont amen  tlcharger ce package, vous pourriez
n'tre interesss seulement par une partie de son contenu. Par exemple, si
seule la fonction "nut" vous interesse, reportez vous au paragraphe
correspondant. Et bien sr, vous n'aurez pas  installer et configurer tous
les fichiers de ce package. Aussi, si vous avez besoin du script
adsl-autoconnect, vous ne devrez pas oublier d'installer les fichiers dont il
a besoin (voir plus bas pour ceux-ci).
Si vous avez des problmes ou des questions  propos de la configuration et/ou
de l'usage de ce package, veuillez vous reporter  la section CONTACT.

Note  propos des fichiers .conf:
---------------------------------
La variable $BASE est disponible depuis chaque fichier .conf, elle contient le
nom de fichier du script lui-mme.
Pour quelques autres fichiers .conf, $EXEC_PREFIX et/ou $CONF_PREFIX sont aussi
disponibles. Le premier est le chemin utilis pour atteindre des binaires
externes. Le second indique o sont stocks les fichiers .conf.
Un exemple de fichier .conf se trouve dans sample/, il implmente tous les
services de management avec adsl-autoconnect, et aussi la fonction IPupdate dans
rc.fw.


CONTACT:

wwp <subscript@free.fr>


CONTENU:

adsl-autoconnect
================

C'est le script utilis pour grer la (re-)connection ADSL. Il connecte, et
aussi dconnecte quand la liaison PPP tombe. A chaque reconnection il permet de
re-dmarrer certains services et/ou d'envoyer une notification par email ou par
ftp (pour une nouvelle IP seulement ou pour une reconnection). Il stoppe aussi
les services si la connection est perdue.
Quelques fonctions d'adsl-autoconnect peuvent tre lances de faon asynchrone
depuis d'autres scripts: cron peut l'appeler avec --security-check, et ip-up
peut utiliser --restart-services, aussi bien que ip-down peut utiliser
--stop-services.

Pr-requis:
-----------
Pour ce script: startmodem, nut*, et les privilges root.
Pour les autres scripts: cel dpend des services que vous dsirez qu'il gre.
La notification par mail ncessite "email" (www.geekoid.org), et la
notification FTP ncessite ncftpput (www.ncftp.com).

Fichier de configuration:
-------------------------
adsl-autoconnect.conf (par dfaut dans /etc/eciadsl).

Localisation:
-------------
N'importe o dans le $PATH.


Network Up Time (nut)
=====================

Place un appel vers nut-init et vers nut-reset au bon endroit dans votre
/etc/ppp/ip-up ou ip-up.local (dans la plupart des cas, ip-down est un lien vers
ip-up).
'nut-init ppp0' va dmarrer un timer mul pour la connection ppp0.
'net-reset ppp0' va tuer ce timer mul. Pour avoir votre temps de connection
sur ppp0, utilisez 'nut ppp0'.
'nut' vous montrera les temps de connection de toutes vos interfaces rseau.

Pr-requis:
-----------
Pour ce script: aucun
Pour les autres scripts: aucun

Fichier de configuration:
-------------------------
Aucun. Modifiez juste votre ip-up/ip-down dans
/etc/ppp.

Localisation:
-------------
N'importe o dans le $PATH.


startmodem
==========

Version modifie de l'officiel startmodem inclus dans le package du driver pour
votre modem ECI ADSL USB (bas sur la version 0.5, mais startmodem.old
fonctionne bien avec les binaires de la 0.4, cependant le fichier .conf doit
tre modifi en accord avec la version du driver que vous utilisez - voir les
commentaire  l'intrieur du .conf).

Prrequis:
----------
Pour ce script: driver eciadsl
Pour les autres scripts: eciadsl driver

Fichier de configuration:
-------------------------
startmodem.conf (par dfaut dans /etc/eciadsl), avec en plus une petite
CONFIG_SECTION  l'intrieur du script startmodem.

Localisation:
-------------
N'importe o dans le $PATH


rc.adsl
=======
Script  placer dans init.d pour lancer la connection au dmarrage. Ecrit dans
le style SuSE.

Prrequis:
----------
Pour ce script: startmodem
Pour les autres scripts: aucun

Fichier de configuration:
-------------------------
Une petite CONFIG_SECTION  l'intrieur du script startmodem.

Localisation:
-------------
/etc/init.d (ou /etc/rc.d pour les vieilles SuSEs)


rc.adsl.mdk
===========
Script  placer dans init.d pour lancer la connection au dmarrage. Ecrit dans
le style Mandrake.

Prrequis:
----------
Pour ce script: startmodem
Pour les autres scripts: aucun

Fichier de configuration:
-------------------------
Une petite CONFIG_SECTION  l'intrieur du script startmodem.

Localisation:
-------------
/etc/init.d


rc.firewall
===========
Script  placer dans init.d pour rc.fw. Ecrit dans le style SuSE.

Prrequis:
----------
Pour ce script: rc.fw
Pour les autres scripts: aucun

Fichier de configuration:
-------------------------
Aucun

Localisation:
-------------
/etc/init.d ou /etc/rc.d


patch pppd
==========
Ce patch fait afficher  pppd ( la dconnection), le rapport de temps de
connection dans un format plus humain (semaines, jours, heures, etc..), 
plutot qu'en minutes (ce qui ne semble pas trs fiable selon la version de
glibc que vous utilisez).

Allez dans le rpertoire o se trouvent les sources de pppd, et tapez:
	patch -p1 < /l/o/se/trouve/le/patch
puis recompilez et installez pppd. Ce patch peut tre appliqu aux versions
2.4.1 et 2.4.1b2 de pppd, il n'a pas encore t test pour d'autres versions
de pppd.


rc.dyndns
=========
Un 'exemple" de 'service manager' pour dyndns dans le style SuSE (ici avec
ddclient). Il est absolument ncessaire de le modifier pour reflter la
configuration de votre systme.

Prrequis:
----------
Pour ce script: aucun
Pour les autres scripts: un client dydns

Fichier de configuration:
-------------------------
Aucun

Localisation:
-------------
/etc/init.d ou /etc/rc.d


rc.ntp
======
Un 'exemple" de 'service manager' pour (x)ntp dans le style SuSE. Il est
absolument ncessaire de le modifier pour reflter la configuration de votre
systme.

Prrequis:
----------
Pour ce script: aucun.
Pour les autres scripts: un client ntp.

Fichier de configuration:
-------------------------
Aucun

Localisation:
-------------
/etc/init.d ou /etc/rc.d
